from url_filter.filtersets import ModelFilterSet

from authentication.models import SystemUserProfile
from panel.models import (
    PoultryRequest,
    KillHouseRequest,
    CityOperatorCheckRequest,
    ProvinceCheckOperatorRequest,
    VetCheckRequest,
    VetFarm,
    KillHouseVet,
    PoultryHatching, Poultry
)


class UserProfileFilterSet(ModelFilterSet):
    class Meta(object):
        model = SystemUserProfile


class PoultryFilterSet(ModelFilterSet):
    class Meta(object):
        model = Poultry


class PoultryRequestFilterSet(ModelFilterSet):
    class Meta(object):
        model = PoultryRequest


class KillHouseRequestFilterSet(ModelFilterSet):
    class Meta(object):
        model = KillHouseRequest


class CityOperatorCheckFilterSet(ModelFilterSet):
    class Meta(object):
        model = CityOperatorCheckRequest


class ProvinceOperatorCheckFilterSet(ModelFilterSet):
    class Meta(object):
        model = ProvinceCheckOperatorRequest


class VetOperatorCheckFilterSet(ModelFilterSet):
    class Meta(object):
        model = VetCheckRequest


class PoultryHatchingFilterSet(ModelFilterSet):
    class Meta(object):
        model = PoultryHatching

class ProfileFilterSet(ModelFilterSet):
    class Meta(object):
        model = SystemUserProfile

class ManagementVetFarmFilterSet(ModelFilterSet):
    class Meta(object):
        model = VetFarm
